--- lib/ifdentry.hpp.orig	2017-07-01 22:18:47.000000000 -0700
+++ lib/ifdentry.hpp	2017-07-01 22:22:24.000000000 -0700
@@ -38,6 +38,22 @@
 #include "rawcontainer.hpp"
 #include "ifd.hpp"
 
+#if defined(__ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__) && __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ < 1070
+extern "C" {
+    static size_t
+    strnlen(const char *s, size_t maxlen)
+    {
+        size_t len;
+
+        for (len = 0; len < maxlen; len++, s++) {
+            if (!*s)
+                break;
+        }
+        return (len);
+    }
+}
+#endif
+
 namespace OpenRaw {
 
 class MetaValue;
